// -*- c++ -*-

#ifndef _XMSCREEN_H
#define _XMSCREEN_H

#include <X11/Intrinsic.h>

#include "XtkScreen.h"

class XmScreen : public XtkScreen
{
public:
  XmScreen(int argc, char **argv);

  void MainLoop();
  void StartUp();

  void CreateChoiceFrame(char *mesg, List<charp> choices, ChoiceHandlerFunc f,
			 void *client_data);
  void DispMessageBox(char *mesg, MessageHandlerFunc f, void *data);

  Widget top;
  GC gc;
};

#endif // _XMSCREEN_H
